# sas.qtgui.Plotting.Masks package

## Submodules

## sas.qtgui.Plotting.Masks.BoxMask module

class sas.qtgui.Plotting.Masks.BoxMask.BoxMask(base, axes, color='black', zorder=3, side=None, x_min=0.008, x_max=0.008, y_min=0.0025, y_max=0.0025)

  Bases: `BaseInteractor`

  BoxMask Class: determine 2 rectangular area to find the pixel of a Data inside of box.

  Uses PointerInteractor , VerticalDoubleLine,HorizontalDoubleLine.

  Parameters:

    - zorder – Artists with lower zorder values are drawn first.

    - x_min – the minimum value of the x coordinate

    - x_max – the maximum value of the x coordinate

    - y_min – the minimum value of the y coordinate

    - y_max – the maximum value of the y coordinate

  clear()

    Clear the slicer and all connected events related to this slicer

  draw()
  get_mask()

    return mask as a result of boxcut

  get_params()

    Store a copy of values of parameters of the slicer into a dictionary.

    Return params:

      the dictionary created

  move(x, y, ev)

    Process move to a new position, making sure that the move is allowed.

  moveend(ev)

    After a dragging motion this function is called to compute the error and the sum of pixel of a given data 2D

  restore()

    Restore the roughness for this layer.

  save(ev)

    Remember the roughness for this layer and the next so that we can restore on Esc.

  set_cursor(x, y)
  set_params(params)

    Receive a dictionary and reset the slicer with values contained in the values of the dictionary.

    Parameters:

      params – a dictionary containing name of slicer parameters and values the user assigned to the slicer.

  update()

    Respond to changes in the model by recalculating the profiles and resetting the widgets.

## sas.qtgui.Plotting.Masks.CircularMask module

class sas.qtgui.Plotting.Masks.CircularMask.CircularMask(base, axes, color='grey', zorder=3, side=None)

  Bases: `BaseInteractor`

  Draw a ring Given a radius

  clear()

    Clear the slicer and all connected events related to this slicer

  draw()
  getParams()

    Store a copy of values of parameters of the slicer into a dictionary.

    Return params:

      the dictionary created

  move(x, y, ev)

    Process move to a new position, making sure that the move is allowed.

  moveend(ev)

    Called when any dragging motion ends. Post an event (type =SlicerParameterEvent) to plotter 2D with a copy slicer parameters Call _post_data method

  restore()

    Restore the roughness for this layer.

  save(ev)

    Remember the roughness for this layer and the next so that we can restore on Esc.

  setParams(params)

    Receive a dictionary and reset the slicer with values contained in the values of the dictionary.

    Parameters:

      params – a dictionary containing name of slicer parameters and values the user assigned to the slicer.

  set_cursor(x, y)
  set_layer(n)

    Allow adding plot to the same panel :param n: the number of layer

  update()

    Respond to changes in the model by recalculating the profiles and resetting the widgets.

## sas.qtgui.Plotting.Masks.SectorMask module

Sector mask interactor

class sas.qtgui.Plotting.Masks.SectorMask.SectorMask(base, axes, color='gray', zorder=3, side=False)

  Bases: `BaseInteractor`

  Draw a sector slicer.Allow to find the data 2D inside of the sector lines

  clear()

    Clear the slicer and all connected events related to this slicer

  draw()
  get_params()

    Store a copy of values of parameters of the slicer into a dictionary.

    Return params:

      the dictionary created

  move(x, y, ev)

    Process move to a new position, making sure that the move is allowed.

  moveend(ev)

    Called a dragging motion ends.Get slicer event

  restore()

    Restore the roughness for this layer.

  save(ev)

    Remember the roughness for this layer and the next so that we can restore on Esc.

  set_cursor(x, y)
  set_params(params)

    Receive a dictionary and reset the slicer with values contained in the values of the dictionary.

    Parameters:

      params – a dictionary containing name of slicer parameters and values the user assigned to the slicer.

  update()

    Respond to changes in the model by recalculating the profiles and resetting the widgets.

## Module contents